@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

:root {
	--primary-color: #9E1E1C;
	--bs-primary-rgb: 158,30,28;
	--primary-shadow: rgb(158 30 28 / 50%);
	--dark-red: #730000;
	--light-red: #ED2939;
	--blue: #0366D8;
	--light: #DFD8F7;
	--white: white;
	--black: black;
	--light-gray: #4D4D4D;
	--gray: #777;
	--dark-gray: #454545;
	--foreground-dark: #C7C7C7;
	--background-dark: #3A3A3A;
	--b-snackbar-background-primary: var(--primary-color);
	--b-snackbar-text-primary: var(--white);
	--small-font-size: 0.75em;

	--event-highlight: #F3F3F3;
	--event-highlight-dark: #3A3A3A;
}

.mt-n1 {
	margin-top: -0.25rem !important;
}
.mb-n1 {
	margin-bottom: -0.25rem !important;
}

html, body {
	font-family: Arial, Helvetica, sans-serif;
	padding-right: 0 !important;
	-moz-text-size-adjust: none;
	-webkit-text-size-adjust: none;
	text-size-adjust: none;
}

.page .bg-primary {
	background-color: var(--primary-color) !important;
}

h1:focus {
	outline: none;
}

h2, h3 {
	font-weight: bold;
}

a, .btn-link {
	color: var(--blue);
}

.small, small {
	font-size: var(--small-font-size);
}

.btn {
	border-radius: 8px;
}
.btn-primary, .btn-primary.dropdown-toggle {
	color: var(--white);
	background-color: var(--primary-color);
	border: 2px solid var(--primary-color);
	padding: 10px 14px;
}
	.btn-primary:hover, .btn-primary:focus, .btn-primary:active {
		background-color: var(--white);
		border-color: var(--primary-color);
		color: var(--primary-color);
	}
	.btn-primary:focus, .btn-primary:active, .btn-primary:active:focus {
		box-shadow: 0 0 0 0.25rem var(--primary-shadow);
	}
	.btn-primary:active:focus {
		background-color: var(--light-gray);
	}

	.btn-primary:disabled {
		color: #fafafa;
		background-color: var(--primary-color);
		border-color: var(--primary-color);
	}

.btn-outline-primary, .btn-outline-primary:disabled, .btn-outline-primary.dropdown-toggle {
	color: var(--primary-color);
	border: 2px solid var(--primary-color);
	border-radius: 8px;
	padding: 10px 14px;
}
	.btn-outline-primary:hover, .btn-outline-primary:focus, .btn-outline-primary:active {
		color: var(--white);
		background-color: var(--primary-color);
		border-color: var(--primary-color);
	}
	.btn-outline-primary:focus, .btn-outline-primary:active, .btn-outline-primary:active:focus {
		box-shadow: 0 0 0 0.25rem var(--primary-shadow);
	}
	.btn-outline-primary:active:focus {
		background-color: var(--light-gray);
	}

.btn-primary {
	--bs-btn-color: #fff;
	--bs-btn-bg: #0d6efd;
	--bs-btn-border-color: #0d6efd;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #0b5ed7;
	--bs-btn-hover-border-color: #0a58ca;
	--bs-btn-focus-shadow-rgb: 49, 132, 253;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #0a58ca;
	--bs-btn-active-border-color: #0a53be;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #0d6efd;
	--bs-btn-disabled-border-color: #0d6efd;
}
.btn-success {
	--bs-btn-color: #fff;
	--bs-btn-bg: #198754;
	--bs-btn-border-color: #198754;
	--bs-btn-hover-color: #198754;
	--bs-btn-hover-bg: #fff;
	--bs-btn-hover-border-color: #198754;
	--bs-btn-focus-shadow-rgb: 60,153,110;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #146c43;
	--bs-btn-active-border-color: #13653f;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #198754;
	--bs-btn-disabled-border-color: #198754;
}
.btn-secondary {
	--bs-btn-color: #fff;
	--bs-btn-bg: #6c757d;
	--bs-btn-border-color: #6c757d;
	--bs-btn-hover-color: #6c757d;
	--bs-btn-hover-bg: #fff;
	--bs-btn-hover-border-color: #565e64;
	--bs-btn-focus-shadow-rgb: 130,138,145;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #565e64;
	--bs-btn-active-border-color: #51585e;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #6c757d;
	--bs-btn-disabled-border-color: #6c757d;
}
.btn-warning {
	--bs-btn-color: #000;
	--bs-btn-bg: #ffc107;
	--bs-btn-border-color: #ffc107;
	--bs-btn-hover-color: #ffc107;
	--bs-btn-hover-bg: #fff;
	--bs-btn-hover-border-color: #ffc720;
	--bs-btn-focus-shadow-rgb: 217,164,6;
	--bs-btn-active-color: #000;
	--bs-btn-active-bg: #ffcd39;
	--bs-btn-active-border-color: #ffc720;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #000;
	--bs-btn-disabled-bg: #ffc107;
	--bs-btn-disabled-border-color: #ffc107;
}
.btn-danger, .btn-primary {
	--bs-btn-color: #fff;
	--bs-btn-bg: var(--primary-color);
	--bs-btn-border-color: var(--primary-color);
	--bs-btn-hover-color: var(--primary-color);
	--bs-btn-hover-bg: #fff;
	--bs-btn-hover-border-color: var(--primary-color);
	--bs-btn-focus-shadow-rgb: 225,83,97;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: var(--primary-color);
	--bs-btn-active-border-color: var(--primary-color);
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: var(--primary-color);
	--bs-btn-disabled-border-color: var(--primary-color);
	background-color: var(--primary-color);
	border-color: var(--primary-color);
}

	.btn-danger:disabled {
		background-color: var(--primary-color);
		border-color: var(--primary-color);
	}

.text-bg-danger {
	background-color: var(--primary-color) !important;
	color: #fff !important;
}

.btn-outline-danger {
	--bs-btn-color: var(--primary-color);
	--bs-btn-border-color: var(--primary-color);
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: var(--primary-color);
	--bs-btn-hover-border-color: var(--primary-color);
	--bs-btn-focus-shadow-rgb: 220,53,69;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: var(--primary-color);
	--bs-btn-active-border-color: var(--primary-color);
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: var(--primary-color);
	--bs-btn-disabled-bg: transparent;
	--bs-btn-disabled-border-color: var(--primary-color);
	--bs-gradient: none;
	color: var(--primary-color);
	border-color: var(--primary-color);
}
	.btn-outline-danger:hover {
		background-color: var(--primary-color);
		border-color: var(--primary-color);
	}

.reply-buttons .btn {
	--bs-btn-disabled-opacity: 1;
	--bs-btn-border-width: 2px;
	--bs-btn-padding-x: 0.75rem;
	--bs-btn-padding-y: 0.25rem;
	opacity: 1;
}

.member-picture.mode-Small img {
	max-width: 64px;
	max-height: 64px;
}
.member-picture.mode-Large img {
	max-width: 128px;
	max-height: 128px;
}

.save-button-container {
	text-align: end;
}

.no-appointments-info {
	font-style: italic;
}

.push-sent {
	margin-left: 5px;
	line-height: 1.25;
}

.list-group-item.active {
	background-color: var(--primary-color);
	border-color: var(--primary-color);
}
.activityKind-Event {
	background-color: var(--event-highlight);
}
.activity-cancelled {
	color: var(--light-gray);
	text-decoration: line-through;
}
	.activity-cancelled:hover {
		z-index: 1;
		color: var(--light-gray);
		text-decoration: line-through;
		background-color: transparent;
		cursor: not-allowed;
	}

.list-group {
	--bs-list-group-border-color: var(--gray);
}
.list-group-item {
	border-color: var(--gray);
}

.attendee-age-info {
	font-size: 80%;
	font-style: italic;
}

.grouped-list-header {
	font-weight: bold;
}

.activity-list-title-row {
	border-bottom: 1px solid var(--light);
}
.activities-list div.event-title, .activities-list.event-ensemble {
	overflow: hidden;
	text-overflow: ellipsis;
}

.inline .btn.dropdown-toggle {
	padding: 0px 8px;
}
.inline .b-tooltip {
	display: inline-block;
}

fieldset.editor-group {
	border: 1px solid var(--light-gray);
	padding: 0 16px;
	border-radius: 8px;
}
	fieldset.editor-group legend {
		color: var(--light-gray);
		font-size: 120%;
	}

.list-group-item.d-flex {
	align-items: center;
}

li.music-piece .composer, li.music-piece .editor {
	font-size: var(--small-font-size);
	line-height: 1em;
}
	li.music-piece .composer-header, li.music-piece .editor-header {
		font-style: italic;
	}
	li.music-piece .music-piece-info div {
		white-space: nowrap;
	}

.content {
	padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
	outline: 1px solid #26b050;
}

.invalid {
	outline: 1px solid var(--dark-red);
}

.validation-message {
	color: var(--dark-red);
}

#blazor-error-ui {
	background: lightyellow;
	bottom: 0;
	box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
	display: none;
	left: 0;
	padding: 0.6rem 1.25rem 0.7rem 1.25rem;
	position: fixed;
	width: 100%;
	z-index: 1000;
}

	#blazor-error-ui .dismiss {
		cursor: pointer;
		position: absolute;
		right: 0.75rem;
		top: 0.5rem;
	}

.blazor-error-boundary {
	background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
	padding: 1rem 1rem 1rem 3.7rem;
	color: white;
}

	.blazor-error-boundary::after {
		content: "An error has occurred."
	}

#components-reconnect-modal {
	background-color: var(--primary-color);
	color: var(--white);
}

#components-reconnect-modal a {
	color: var(--white);
	font-weight: bold;
	text-decoration: underline;
}

@media (pointer: fine) {
	.hide-on-hover {
		display: none;
	}
}

@media (prefers-color-scheme: dark) {
	.activity-list-title-row {
		border-bottom: 1px solid var(--dark-gray);
	}
	.activityKind-Event {
		background-color: var(--event-highlight-dark);
	}
	.btn-outline-dark {
		color: white;
		border-color: white;
	}
}
html[data-theme='dark'] .activity-list-title-row {
	border-bottom: 1px solid var(--dark-gray);
}
html[data-theme='dark'] .btn-outline-dark {
	color: white;
	border-color: white;
}
html[data-theme='dark'] .activityKind-Event {
	background-color: var(--event-highlight-dark);
}

@media (max-width: 768) {

	li.music-piece .music-piece-info div {
		white-space: normal;
	}

}